Bug 601006 (CVE-2010-2066) - CVE-2010-2066 kernel: ext4: Make sure the MOVE_EXT ioctl can't overwrite append-only files
Summary: CVE-2010-2066 kernel: ext4: Make sure the MOVE_EXT ioctl can't overwrite appe...
Status: NEW
Alias: CVE-2010-2066
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: reported=20100607,public=20100602,sou...
Keywords: Security
Depends On: 601007 601008 601009
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-07 00:43 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 13:01 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0610 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-08-10 18:01:15 UTC

Description Eugene Teo (Security Response) 2010-06-07 00:43:39 UTC
Description of problem:
If the donor file is an append-only file, we should not allow the operation to proceed, lest we end up overwriting the contents of an append-only file.

Upstream commit:
http://git.kernel.org/linus/1f5a81e41f8b1a782c68d3843e9ec1bfaadf7d72

Comment 1 Eugene Teo (Security Response) 2010-06-07 00:44:21 UTC
Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2010-06-07 00:48:07 UTC
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 3, 4 and Red Hat Enterprise MRG as they did not include support for the Ext4 filesystem. A future kernel update in Red Hat Enterprise Linux 5 will address this issue.

Comment 4 Eugene Teo (Security Response) 2010-06-07 00:54:12 UTC
Also see, http://www.gossamer-threads.com/lists/linux/kernel/1235423, but the regression don't look related.

Comment 6 Eric Sandeen 2010-06-07 17:31:55 UTC
(In reply to comment #4)
> Also see, http://www.gossamer-threads.com/lists/linux/kernel/1235423, but the
> regression don't look related.    

Right, that ended up being a mis-reported issue.  The patch at hand is not implicated in the user's problems.  See http://www.gossamer-threads.com/lists/linux/kernel/1235623#1235623

Comment 11 Chuck Ebbert 2010-07-23 18:06:59 UTC
Fixed in 2.6.33.6 and 2.6.34.1 by:

ext4-make-sure-the-move_ext-ioctl-can-t-overwrite-append-only-files.patch

Not yet fixed in 2.6.32-stable.

Comment 12 Fedora Update System 2010-08-03 00:58:41 UTC
kernel-2.6.32.16-150.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2010-08-10 18:01:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0610 https://rhn.redhat.com/errata/RHSA-2010-0610.html


Note You need to log in before you can comment on or make changes to this bug.